Bug 126609 - NullPointerException at org.netbeans.modules.visualweb.css2.CssBorder.<init>
NullPointerException at org.netbeans.modules.visualweb.css2.CssBorder.<init>
Status: VERIFIED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Peter Zavadsky
issues@obsolete
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, release601_fixes_c...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 13:30 UTC by ltcmddata
Modified: 2008-03-20 18:51 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.29 KB, text/plain)
2008-02-04 13:30 UTC, ltcmddata
Details
stacktrace (6.67 KB, text/plain)
2008-02-07 13:34 UTC, ltcmddata
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ltcmddata 2008-02-04 13:30:02 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Linux, 2.6.22-14-386, i386

User Comments: 
I was just opening a visual web page with css-based layout.
Comment 1 ltcmddata 2008-02-04 13:30:06 UTC
Created attachment 55990 [details]
stacktrace
Comment 2 Peter Zavadsky 2008-02-04 21:10:31 UTC
It seems there were used styles which was not checked before, and the code lead to the NPE, investigating.
Comment 3 Peter Zavadsky 2008-02-04 21:25:12 UTC
Fixed.

changeset:   65802:641c72e0b061
tag:         tip
user:        Peter Zavadsky <pzavadsky@netbeans.org>
date:        Mon Feb 04 13:24:04 2008 -0800
summary:     #126609 Fixing NPE.
Comment 4 ltcmddata 2008-02-05 07:19:41 UTC
Thanks for fixing it. Is it possible to get a patch to fix this error in my Netbeans? I have to use Netbeans daily and
with getting this NPE all the time it's nearly impossible to work.
Comment 5 ltcmddata 2008-02-07 09:37:35 UTC
Please upload a patch. Without a patch I can't continue working.
Comment 6 ltcmddata 2008-02-07 13:34:18 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 10.0-b19
OS: Linux, 2.6.22-14-386, i386

User Comments: 
Comment 7 ltcmddata 2008-02-07 13:34:22 UTC
Created attachment 56243 [details]
stacktrace
Comment 8 Petr Blaha 2008-02-07 14:46:57 UTC
Reporter, please try to verify the fix in the latest NB 6.1 build that is available here
http://bits.netbeans.org/download/trunk/nightly/2008-02-06_01-01-52/ We need to verify that the fix really resolve your
issue. Thanks for your help Marking as fixed according to pzavadsky comment.
Comment 9 pgebauer 2008-02-11 17:17:41 UTC
The issue has not been verified till NB601 Patch1 code freeze. I'm marking it as a candidate for NB601 Patch2.
Comment 10 ltcmddata 2008-02-14 07:36:07 UTC
I'm sorry, I've been ill for the last few days. I can verify the fix in the NB 6.1 build from the link above.
Comment 11 Marian Mirilovic 2008-02-26 10:41:24 UTC
based on previous comments - verified 
Comment 12 khu 2008-02-28 20:59:10 UTC
The fix has been ported into the release601_fixes branch

Checking in CssBorder.java;
/cvs/visualweb/designer/src/org/netbeans/modules/visualweb/css2/Attic/CssBorder.java,v  <--  CssBorder.java
new revision: 1.2.14.1; previous revision: 1.2
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo